dsc-datatool-transformer netremap(7)

NAME
NetRemap - Remap network addresses to other ranges/subnets.

SYNOPSIS
dsc-datatool --transform ";NetRemap;<dataset>;<options...>"

DESCRIPTION
This transformer can remap network ranges on IP addresses and subnets.

OPTIONS

dataset
    See dsc-datatool(1) on how to specify which dataset(s) to run the transformer on.

net=<network>
    The network to remap both IPv4 and IPv6 addresses and networks, specify only the number in a short-form network (e.g. "/<network>").

v4net=<network>
    The IPv4 network to use for IPv4 addresses and networks, default to net if that is specified.

v6net=<network>
    The IPv6 network to use for IPv6 addresses and networks, default to net if that is specified.

nonstrict=<value>
    If set (to any value) then a non-strict mode is enabled which will disregard any bad data in the dataset, skipping it completely. Default is strict mode.

SEE ALSO
dsc-datatool(1)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc-datatool/issues

For question and help please use:

    https://lists.dns-oarc.net/mailman/listinfo/dsc